org.apache.ode.daohib.bpel

## Class ActivityRecoveryDaoImpl

- java.lang.Object
- - org.apache.ode.daohib.bpel.HibernateDao
  - - org.apache.ode.daohib.bpel.ActivityRecoveryDaoImpl

- All Implemented Interfaces:
    ActivityRecoveryDAO

      public class ActivityRecoveryDaoImpl
      extends HibernateDao
      implements ActivityRecoveryDAO

  Hibernate based `ActivityRecoveryDao` implementation

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `_hobj, _sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityRecoveryDaoImpl(SessionManager sm, HActivityRecovery recovery)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActions()`
    `java.lang.String[]` | `getActionsList()`
    `long` | `getActivityId()`
    `java.lang.String` | `getChannel()`
    `java.util.Date` | `getDateTime()`
    `org.w3c.dom.Element` | `getDetails()`
    `java.lang.String` | `getReason()`
    `int` | `getRetries()`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `deleteByColumn, deleteByIds, equals, getDHandle, getHibernateObj, getId, getSession, hashCode, update`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityRecoveryDaoImpl

          public ActivityRecoveryDaoImpl(SessionManager sm,
                                         HActivityRecovery recovery)

  - ### Method Detail

    - #### getActivityId

          public long getActivityId()

      Specified by:
        `getActivityId` in interface `ActivityRecoveryDAO`

    - #### getChannel

          public java.lang.String getChannel()

      Specified by:
        `getChannel` in interface `ActivityRecoveryDAO`

    - #### getReason

          public java.lang.String getReason()

      Specified by:
        `getReason` in interface `ActivityRecoveryDAO`

    - #### getDateTime

          public java.util.Date getDateTime()

      Specified by:
        `getDateTime` in interface `ActivityRecoveryDAO`

    - #### getDetails

          public org.w3c.dom.Element getDetails()

      Specified by:
        `getDetails` in interface `ActivityRecoveryDAO`

    - #### getActions

          public java.lang.String getActions()

      Specified by:
        `getActions` in interface `ActivityRecoveryDAO`

    - #### getActionsList

          public java.lang.String[] getActionsList()

      Specified by:
        `getActionsList` in interface `ActivityRecoveryDAO`

    - #### getRetries

          public int getRetries()

      Specified by:
        `getRetries` in interface `ActivityRecoveryDAO`